Bug 542130 - Unusual suspend issue (depending on initial video mode?)
Summary: Unusual suspend issue (depending on initial video mode?)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_945GME
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-28 13:43 UTC by Andy Burns
Modified: 2018-04-11 07:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 02:39:01 UTC


Attachments (Terms of Use)
/var/log/dmesg (39.71 KB, text/plain)
2010-03-12 21:05 UTC, Andy Burns
no flags Details
/var/log/messages (449.47 KB, text/plain)
2010-03-12 21:08 UTC, Andy Burns
no flags Details
/var/log/Xorg.0.log (39.53 KB, text/plain)
2010-03-12 21:12 UTC, Andy Burns
no flags Details

Description Andy Burns 2009-11-28 13:43:12 UTC
Description of problem:
=======================

On a Dell mini9 with F11 suspend just worked (with KMS, plymouth and compiz) I was a happy user.

On the same machine with F12 out of the box (ie. with KMS and plymouth) then suspend just hangs the machine (e.g. when the lid is closed or pm-suspend run in a gnome terminal window).

This machine doesn't have a serial port so kernel debugging is tricky, I did set up netconsole over the 10/100Mb NIC, with no_console_suspend and dmesg -n 8, but didn't see any helpful console messages when it hung, no crashing or backtrace, however the netconsole logging cuts off when PCI is disabled.

Tried various combinations without and without KMS, plymouth, compiz, booting to runlevel 3 or 5. I have found a sequence which ends up with a working suspend from Gnome as follows ...

Boot into runlevel 3 with KMS and plymouth,
log in as root and perform a pm-suspend, then wake up the machine again,
switch to runlevel 5 and log in as non-root user,
after that the machine suspends properly whenever the lid is closed.

Version-Release number of selected component 
============================================
xorg-x11-drv-intel.i686 2.9.1-1.fc12
kernel.i686 2.6.31.5-127.fc12

How reproducible:
=================
100%

Expected results:
=================
Fedora out of the box allows suspend.

Comment 1 Hin-Tak Leung 2009-11-29 04:41:05 UTC
I possibly has a similiar issue - I cannot suspend in X (via the shutdown menu after X login, or the suspend button on the side at GDM login screen), and it crashes every time, but if I switch to a different VT, log in as root, echo -n mem > /sys/power/state works.

In F11 I had been able to suspend/resume in X. (last suspend on 22th with 2.6.30.9-99.fc11.x86_64). I have ati hardware - X1200/RS690, not intel.

Comment 2 Andy Burns 2010-03-07 09:52:45 UTC
Still occurs with the FC12 2.6.32 kernel

Comment 3 Matěj Cepl 2010-03-11 23:13:10 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, system log (/var/log/messages), and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 4 Andy Burns 2010-03-12 21:05:56 UTC
Created attachment 399749 [details]
/var/log/dmesg

Comment 5 Andy Burns 2010-03-12 21:08:21 UTC
Created attachment 399750 [details]
/var/log/messages

Comment 6 Andy Burns 2010-03-12 21:12:37 UTC
Created attachment 399751 [details]
/var/log/Xorg.0.log

I do not have a /etc/X11/xorg.conf file

I booted the latest kernel and went straight into runlevel 5 for this boot (i.e. if I now try to pm-suspend, the system will hang) rather than doing a pm-suspend and resume from runlevel 3 before entering runlevel 5, which I normally do to allow suspend to work.

Comment 7 Bug Zapper 2010-11-04 05:05:36 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-12-04 02:39:01 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.